@InterfaceAudience.Public

# Package org.apache.hadoop.yarn.state

- Interface Summary
  Interface | Description
  --- | ---
  MultipleArcTransition<OPERAND,EVENT,STATE extends Enum<STATE>> | Hook for Transition.
  SingleArcTransition<OPERAND,EVENT> | Hook for Transition.
  StateMachine<STATE extends Enum<STATE>,EVENTTYPE extends Enum<EVENTTYPE>,EVENT> |
  StateTransitionListener<OPERAND,EVENT,STATE extends Enum<STATE>> | A State Transition Listener.

- Class Summary
  Class | Description
  --- | ---
  StateMachineFactory<OPERAND,STATE extends Enum<STATE>,EVENTTYPE extends Enum<EVENTTYPE>,EVENT> | State machine topology.

- Exception Summary
  Exception | Description
  --- | ---
  InvalidStateTransitionException | The exception that happens when you call invalid state transition.
  InvalidStateTransitonException | Deprecated Use `InvalidStateTransitionException` instead.

Copyright © 2022 Apache Software Foundation. All rights reserved.